Bug 138867 - Cannot print in portrait mode
Summary: Cannot print in portrait mode
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 138674 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-12-12 19:27 UTC by francois.dubeau
Modified: 2022-02-19 03:43 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screen shot of Print Preview showing correct orientation and Print dialog showing text rotated 90˚ (2.90 MB, image/png)
2020-12-12 19:34 UTC, francois.dubeau
Details
Screen shot of LO Print Dialogue, with Print Preview window on left. (3.31 MB, image/png)
2020-12-15 21:46 UTC, francois.dubeau
Details
And here is a screen shot of the Layout pane. (557.19 KB, image/png)
2020-12-15 21:49 UTC, francois.dubeau
Details
Here, for reference, is the print dialogue from another app (Mail). (230.84 KB, image/png)
2020-12-15 21:52 UTC, francois.dubeau
Details
Screenshot (814.50 KB, image/png)
2020-12-18 08:35 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description francois.dubeau 2020-12-12 19:27:07 UTC
Description:
Text Documents in portrait page format will only print in landscape mode. Cannot change print layout to portrait.

Steps to Reproduce:
1. Open or create a text document in portrait orientation
2. Open Print menu
3. Document preview in print menu shows text rotated at -90° on paper

Actual Results:
Text is printed rotated at -90˚ on paper (i.e. in landscape mode on a portrait sheet)

Expected Results:
Text should be printed in portrait mode on portrait sheet.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Page layout appears correctly in "Print Preview" screen, however when printing text is rotated at -90˚
Comment 1 francois.dubeau 2020-12-12 19:34:11 UTC
Created attachment 168114 [details]
Screen shot of Print Preview showing correct orientation and Print dialog showing text rotated 90˚
Comment 2 Julien Nabet 2020-12-12 19:56:48 UTC
On which LO version are you?
Could you give a try at https://wiki.documentfoundation.org/QA/FirstSteps#Corrupted_user_profile?
Do you reproduce this with any file (even just created ones) or with only specific?
If specific only, could you attach an example?
Comment 3 francois.dubeau 2020-12-12 22:00:07 UTC
LO version 7.0.3.1, but bug was present in previous version I had on my system (which was 6.3.3.2 I believe)
I tried the corrupted user profile procedure, and bug persists even in safe mode.
Bug is present on any text document, even newly created documents. Landscape documents print correctly.
Bug is present on any printer chosen (I tried three printers: HP8610; Epson 3880 and Epson 7990).
“Save as pdf” from the print dialog menu also creates bug, but “Export as pdf” from “File” menu generates correct document.
Comment 4 Julien Nabet 2020-12-13 09:08:38 UTC
Thank you François for your feedback, could you also provide MacOs version?
Do you reproduce this on Calc or Impress part or just Writer?

On pc Debian x86-64 with LO master sources or with LO Debian package 7.0.3.1, I don't reproduce this. I also gave a try on Win10 with LO 6.4.7 and I didn't reproduce this. (in all cases, I've just written "Hello" and print preview).

Alex: do you reproduce this too on your Mac?
Comment 5 [REDACTED] 2020-12-13 12:43:03 UTC
No repro

Version: 7.0.4.2, Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: en-US (de_DE.UTF-8); UI: en-US, Calc: threaded

using a Epson, Workforce Pro WF-4630 printer. 

The only artifact could be produced, if setting option "[x] Brochure" in File -> Printer Settings -> Button: Options... Section: Pages. But my observed artifact using this setting doesn't match the observation as shown in the attachment.
Comment 6 Telesto 2020-12-13 14:05:11 UTC
There was a bug long time back.. relating to print orientation.. but pretty long time ago 6.2 or 6.3

To be sure, the safe-mode procedure has been used for 7.0.3.1? And what is the page size of the document (A4 or something like user-defined). 

Attaching the file in question would make investigation easier. Else it will become a wild-goose chase
Comment 7 francois.dubeau 2020-12-13 20:29:51 UTC
Current OS is 11.0.1 (20B50), but bug was also present in previous version of OS 10.13.6

Bug is also present on Calc (spreadsheet) and Draw.

I dug around on my system and I might have found the source of the problem, but not the solution.

For some reason, and I don't quite understand why, the default setting on my system is set at "Landscape". In all applications, not just LibreOffice, when you select the print dialogue, the print layout is by default at landscape. That is not a big issue as in all apps, you just click the button to flip it back to portrait. All apps except LibreOffice, where there is no button to flip from landscape to portrait in the print menu. LibreOffice seems to take the values from the "default settings" file. In mac os, you can not change the values in the "Default Settings" print preset file. I created a new preset file with "portrait" as the default, named it "default settings-1" (because the system doesn't allow you to overwrite or modify the "Default Setting" file), and I can select this new preset in all apps to fix the issue. Except LibreOffice, where choosing any print preset file does nothing.

It seems LibreOffice will only take the values from the "Default Settings" file.
Comment 8 Julien Nabet 2020-12-15 21:15:19 UTC
Could you attach a screenshot of your whole print dialog in LO?
Indeed, I got an option to select Automatic, Portrait or Landscape at the bottom of Print dialog. ("Page Layout" section/"Orientation" part)
Comment 9 francois.dubeau 2020-12-15 21:46:05 UTC
Created attachment 168206 [details]
Screen shot of LO Print Dialogue, with Print Preview window on left.
Comment 10 francois.dubeau 2020-12-15 21:49:33 UTC
Created attachment 168209 [details]
And here is a screen shot of the Layout pane.
Comment 11 francois.dubeau 2020-12-15 21:52:38 UTC
Created attachment 168210 [details]
Here, for reference, is the print dialogue from another app (Mail).

Here, for reference, is the print dialogue from another app (Mail). Notice that the default landscape orientation is applied, but there is a button to change it back to Portrait.
Comment 12 Julien Nabet 2020-12-17 17:58:42 UTC
Xisco/Heiko: any idea why the print dialog doesn't show orientation option here?

(on my desktop, I can see this option)
Comment 13 Heiko Tietze 2020-12-18 08:35:54 UTC
Created attachment 168279 [details]
Screenshot

(In reply to francois.dubeau from comment #9)
> Created attachment 168206 [details]
> Screen shot of LO Print Dialogue, with Print Preview window on left.

Never seen this dialog. Here is how it looks with the official app from TDF (far away from perfect but at least with Orientation).

Version: 7.0.3.1
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: en-US (en_DE.UTF-8); UI: en-US
Calc: threaded

(please use the about dialog to copy all version info)
Comment 14 Timur 2021-05-28 08:34:18 UTC
*** Bug 138674 has been marked as a duplicate of this bug. ***
Comment 15 Eleonora Govallo 2021-07-22 13:25:40 UTC
No repro in Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c5ca46e75e28ba4245d8544ca53c71fea87d1bbd
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-20_00:22:42
Calc: threaded
Comment 16 Iskander 2021-07-22 16:54:54 UTC
I'm not reproduced. Try, please reproduce the bug on the latest version of LibreOffice.

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c5ca46e75e28ba4245d8544ca53c71fea87d1bbd
CPU threads: 2; OS: Windows 10.0 Build 17763; UI render: Skia/Raster; VCL: win
Locale: en-US (ru_RU); UI: ru-RU
Calc: threaded
Comment 17 Marina Bakutina 2021-07-22 21:15:12 UTC
No reproduced in version 7.3.0.0.
Comment 18 QA Administrators 2022-01-19 03:34:57 UTC Comment hidden (obsolete)
Comment 19 QA Administrators 2022-02-19 03:43:21 UTC
Dear francois.dubeau,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp